#include <TinyWireM.h>
#include <Tiny4kOLED.h>
#include <TinyBME280.h>

float t, d, f;
int h;
//float reference = 101555.0;
float reference = 101140.0;

void setup() {
  oled.begin();
  oled.clear();
  oled.on();
  TinyWireM.begin();
    // Set up BME280
  Wire.begin();
  BME280setI2Caddress(0x76);
}

void loop() {
  BME280setup();
  t = BME280temperature()*0.01;
  d = BME280pressure()*0.0075006375541921;
  f = BME280humidity()*0.01;
  h = BME280altitude(reference);

  oled.setFont(FONT6X8);
  oled.setCursor(0, 0);
  oled.print("Temp.: ");
  oled.print(t);
  oled.println(" 'C ");
  oled.print("Pres.: ");
  oled.print(d);
  oled.println(" mm Hg ");
  oled.print("Hum.:  ");
  oled.print(f);
  oled.println(" % ");
  oled.print("Alt.:  ");
  oled.print(h);
  oled.println(" m    ");
  BME280sleep();
  delay(250);
}

// Altitude in metres
float BME280altitude (float referencePressure) {
  return ((float)-45846.2)*(pow(((float)BME280pressure()/(float)referencePressure), 0.190263) - (float)1);
}
